Loading...
Searching...
No Matches
volk_32fc_deinterleave_32f_x2.h File Reference
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <immintrin.h>`
`#include <xmmintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_deinterleave_32f_x2_u_H

## Functions

static void | volk_32fc_deinterleave_32f_x2_generic (float *iBuffer, float *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_32f_x2_a_avx (float *iBuffer, float *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_32f_x2_a_sse (float *iBuffer, float *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_32f_x2_neon (float *iBuffer, float *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)
static void | volk_32fc_deinterleave_32f_x2_u_avx (float *iBuffer, float *qBuffer, const lv_32fc_t *complexVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_deinterleave_32f_x2_u_H

#define INCLUDED_volk_32fc_deinterleave_32f_x2_u_H

## Function Documentation

## volk_32fc_deinterleave_32f_x2_a_avx()

void volk_32fc_deinterleave_32f_x2_a_avx | ( | float * | iBuffer,
|  | float * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_32f_x2_a_sse()

void volk_32fc_deinterleave_32f_x2_a_sse | ( | float * | iBuffer,
|  | float * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_32f_x2_generic()

void volk_32fc_deinterleave_32f_x2_generic | ( | float * | iBuffer,
|  | float * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_32f_x2_neon()

void volk_32fc_deinterleave_32f_x2_neon | ( | float * | iBuffer,
|  | float * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_deinterleave_32f_x2_u_avx()

void volk_32fc_deinterleave_32f_x2_u_avx | ( | float * | iBuffer,
|  | float * | qBuffer,
|  | const lv_32fc_t * | complexVector,
|  | unsigned int | num_points )

inline static